GET Validate an address
GET /geographicAddressValidation
Retrieves the GeographicAddressValidation objects.
Parameters
fields(query, string) Specifies the comma-separated properties to provide in the response.offset(query, integer) Specifies the requested index for the start of the resources to provide in the response.limit(query, integer) Specifies the requested number of the resources to provide in the response.
Responses
- 200
Request is successful.
Headers:
X-Result-Count(integer, required) Specifies the actual number of items returned in the response body.X-Total-Count(integer, required) Specifies the total of the items matching the criteria.
Media type:
application/json. Schema:GeographicAddressValidationResponse.Example
[ { "id":"1a2b3c", "href":"/tmf-api/geographicAddressManagement/v4/geographicAddressValidation/1a2b3c", "provideAlternative": true, "status":"done", "validationResult":"partial", "submittedGeographicAddress":{ "id": "1a2b3c", "href":"/tmf-api/geographicAddressManagement/v4/geographicAddressValidation/1a2b3c", "streetNr":"151", "name": "name", "streetName":"Landgrabenweg", "postcode":"53227", "postcodeExtension":"1", "city":"Bonn", "streetNrLast": "streetNrLast", "stateOrProvince":"NRW", "streetNrLastSuffix": "streest 1", "streetSuffix": "street 1", "streetNrSuffix": "street", "country":"Germany", "locality": "locality", "@type":"FieldedAddress", "streetType": "comercial", "@baseType":"GeographicAddress", "@schemaLocation":"http://github.com/MEF-GIT/FieldedAddress.json" } } ] - 400
There was an issue with your request.
Media type:
application/json. Schema:ErrorMessage.Example
code: "400" reason: Bad Request - 401
Authorization failed.
Media type:
application/json. Schema:ErrorMessage.Example
code: "401" reason: Unauthorized - 403
Request forbidden.
Media type:
application/json. Schema:ErrorMessage.Example
code: "403" reason: Forbidden - 404
Resource not found.
Media type:
application/json. Schema:ErrorMessage.Example
code: "404" reason: Not Found - 405
Method not allowed.
Media type:
application/json. Schema:ErrorMessage.Example
code: "405" reason: Method not allowed - 406
Media type:
application/json. Schema:ErrorMessage.Example
code: "406" reason: Request not acceptable - 415
Media type:
application/json. Schema:ErrorMessage.Example
code: "415" reason: Unsupported Media Type - 422
Unprocessable entity.
Media type:
application/json. Schema:ErrorMessage.Example
code: "422" reason: Unprocessable content - 500
Unable to complete the request as the server encountered an error.
Media type:
application/json. Schema:ErrorMessage.Example
code: "500" reason: Unable to complete the request as the server encountered an error - 501
Not Implemented
Media type:
application/json. Schema:ErrorMessage.Example
code: "501" reason: Implementation not available